Bug 57047 - Installer crashes with python error after generating new hdlists
Summary: Installer crashes with python error after generating new hdlists
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.2
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-03 20:02 UTC by Need Real Name
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-03 22:16:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-12-03 20:02:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
Using all the RPMS directly from the 7.2 CDs for an nfs kickstart install
works fine if I use hdlist and hdlist2 from the CD.  If I run
/usr/lib/anaconda-runtime/genhdlist <dir> to create new hdlist and hdlist2,
the kickstart install fails (see error msg below).

Version-Release number of selected component (if applicable):
anaconda-runtime-7.2-7

How reproducible:
Always

Steps to Reproduce:
1.prepare for nfs kickstart install
2.run genhdlist
3.begin kickstart install
	

Actual Results:  Install fails and shuts down to "you may safely reboot
your system".

Expected Results:  a completed kickstart install

Additional info:

The install generates this error:

rpmio_internal.h:199: fdGetFp: Assertion 'fd && fd->magic == 0x04463138'
failed

Comment 1 Jeremy Katz 2001-12-03 20:31:02 UTC
What release are you running on the machine running genhdlist?

Comment 2 Need Real Name 2001-12-03 20:38:37 UTC
Running Redhat 7.2 on the machine generating the hdlists

Comment 3 Need Real Name 2001-12-03 22:16:09 UTC
Ok.. apparently I lied to you.  After deleting my rpm directory and recopying
the files off the CD, I can run genhdlist and an install will still work.  I do
note that the hdlist file is a different size from the one on the CD, though
hdlist2 is still the same size.

I will try to replace older rpms with updated versions, run genhdlist and
reinstall.  Perhaps I had a bad copy of an rpm.  Sorry I didn't try that
already.

Comment 4 Brent Fox 2001-12-04 04:24:18 UTC
Ok.  Please reopen the report if that doesn't fix the problem.  Thanks for your
report.

Comment 5 Jason Tibbitts 2002-01-10 23:49:55 UTC
Just for the record, I had the same problem with the exact same fd->magic error
message.  I traced it down to an RPM of the xforms toolkit that I had added to
my distribution.  (I need it to run Geomview, a mathematical application.)

It seems that this RPM actually came from the PLD distribution and something in
kickstart doesn't like it.  I can provide the RPM on request, but 700K is a bit
much to attach here.  Or search for "xforms-0.89-2.i386.rpm".  After hacking the
src.rpm a bit to build, I have a working binary RPM.

So while it would be nice of kickstart failed a bit more gracefully or if one of
the build tools (genhdlist, perhaps) would parse the RPMs in the same manner
that kickstart does, this is certainly not a serious problem.


Note You need to log in before you can comment on or make changes to this bug.